Subject: Re: [PATCH v5 07/11] ref-filter: add option to match literal pattern

From: Matthieu Moy <[email-masked]>
Date: Mon, 27 Jul 2015 14:54:40 +0200

Karthik Nayak <[email-masked]> writes:

> --- a/ref-filter.c
> +++ b/ref-filter.c
> @@ -946,6 +946,32 @@ static int commit_contains(struct ref_filter *filter, struct commit *commit)

> +/*
> + * Return 1 if the refname matches one of the patterns, otherwise 0.
>   * A pattern can be path prefix (e.g. a refname "refs/heads/master"
>   * matches a pattern "refs/heads/") or a wildcard (e.g. the same ref
>   * matches "refs/heads/m*",too).

Nit: you used to s/,too/, too/ in the comment in a previous version.

I think I already suggested saying explicitly "... matches a pattern
"refs/heads/" but not "refs/heads/m")", but I won't insist on that. Just
a reminder in case you missed it.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/